Registrarse
Home
Foros
Miembros
Calendario
Normas
Ayuda

Foros de usuarios de openSUSE
Retroceder   ForoSUSE > Zona OpenSUSE > Hardware


Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook

Respuesta
 
Herramientas Desplegado

Problemas y dudas para instalar driver ATI (HD 4200) en openSUSE 42.2
  #1  
Antiguo 07-feb-2017, 09:40
locario locario está desconectado
Aforado
 
Fecha de Ingreso: 22-noviembre-2016
Ubicación: Zona verde de Madrid
Versión: 42.2
Mensajes: 19
Agradecimientos: 0
Agradecido 3 Veces en 3 Mensajes
Poder de Credibilidad: 0
locario está en el buen camino
Problemas y dudas para instalar driver ATI (HD 4200) en openSUSE 42.2

Que tal.

No suelo pedir ayuda pero ahora estoy atascado.

Hice la instalación de openSUSE con una gráfica GTX 560 de Nvidia e instalé el driver desde un repositorio de la comunidad, esta mañana ya no está esa gráfica en el sistema y la reemplaza una ATI HD4200 integrada en la MOBO.

He leído el post de DiabloRojo del año 2012, pero creo que quizás ya no valga por que estamos ya en otras fechas, no se.

Desinstalé el driver a través de Yast de la Nvidia, igual que cuando la instalé.

El entorno gráfico ahora no arranca, al parecer el módulo que debe funcionar es "radeon" es decir, según las webs de openSUSE para este modelo de gráfica comentan que hay que utilizar el driver libre. (en este caso radeon al parecer)

He generado un xorg.conf con Xorg -configure, y me llama la atención que no incluya radeon como módulo.

el Xorg.0.log hace mención a que no encuentra varios módulos como fglrx, sin embargo carga vesa (el cual me genera un sergmentation fault) etc.

Si toco ese xorg.conf a mano y en la sección Device pongo "radeon" a mano da error el Xorg.0.log de que no encuentra el módulo radeon. Sin embargo cuando arranco el sistema desde consola (no inicia el entorno gráfico), si hago un lsmod | grep radeon veo 4 líneas que lo mencionan.

¿Qué puedo hacer? ¿Cómo puedo hacer que funcione el controlador libre de ATI ahora en openSUSE 42.2? ¿Creeis que se puede meter mejor alguno propietario en openSUSE 42.2?
Responder Citando
  #2  
Antiguo 09-feb-2017, 08:29
locario locario está desconectado
Aforado
 
Fecha de Ingreso: 22-noviembre-2016
Ubicación: Zona verde de Madrid
Versión: 42.2
Mensajes: 19
Agradecimientos: 0
Agradecido 3 Veces en 3 Mensajes
Poder de Credibilidad: 0
locario está en el buen camino
Todos a la vez no, por favor.

https://forums.opensuse.org/showthre...-Nvidia-to-ati
Responder Citando
  #3  
Antiguo 05-mar-2017, 18:32
Avatar de susemex
susemex susemex está desconectado
Miembro Junior
 
Fecha de Ingreso: 13-junio-2014
Ubicación: Veracruz, Ver.
Versión: Leap 42.3
Mensajes: 559
Agradecimientos: 475
Agradecido 93 Veces en 71 Mensajes
Poder de Credibilidad: 4
susemex está en el buen camino
Cita:
Iniciado por locario Ver Mensaje
Todos a la vez no, por favor.
No te impacientes, compañero Locario, ya te responderán.
Una de las cosas que me trajo a registrarme a este foro fue precisamente la buena disposición de la gente para ayudar.
__________________
Saludines,
Isabel.
Responder Citando
  #4  
Antiguo 06-mar-2017, 02:38
Avatar de icomputo
icomputo icomputo está desconectado
Miembro Junior
 
Fecha de Ingreso: 15-julio-2006
Ubicación: /home/icomputo
Versión: TW y 42.2- Gnome, KDE, LXDE
Mensajes: 637
Agradecimientos: 34
Agradecido 86 Veces en 64 Mensajes
Poder de Credibilidad: 12
icomputo está en el buen camino
Bueno, si la memoria no me falla, primero quitar los driver propietarios de nvidia, después tienes que deshabilitar el driver libre de nvidia que viene en el kernel por default, y despues instalar los driver libres de amd, que empieza con xf86-video algo así D:

.. si me acuerdo bien te vuelvo a escribir
__________________
"Solamente cuando el último árbol este muerto, el último río esté envenenado y el último pez esté atrapado, entenderemos que no se puede comer dinero".

icomputo.com
GNU social
Chat #opensuse-es
Responder Citando
  #5  
Antiguo 08-mar-2017, 11:45
Avatar de soyasi
soyasi soyasi está desconectado
Miembro Senior
 
Fecha de Ingreso: 26-julio-2005
Ubicación: Atlántida
Versión: leap 42.1
Mensajes: 850
Agradecimientos: 187
Agradecido 323 Veces en 221 Mensajes
Poder de Credibilidad: 13
soyasi está en el buen camino
Asegúrate que no tienes cargado en blacklist el driver libre radeon, si la memoria no me falla y si san patoso (duckduckgo) tampoco:

con sudo:
Cita:
echo "blacklist nouveau" >> /etc/modprobe.d/50-blacklist.conf && mkinitrd && reboot
y pones en la lista negra el de nvidia (nouveau).



foro ingles (creo que te ayudara)

P.D: solo leap 42.1 era compatible con los propietarios (fglrx), a partir de 42.2 no vamos a los libres amdgpu ó amdgpu-pro (propietarios).

A partir de la versión 12.8 de Catalyst (fglrx), ya no funciona con ninguna tarjeta de la serie HD4000 o anterior.
__________________
--
hkp://subkeys.pgp.net
GNU/Linux Opensuse leap 42.1 x86_64
Linux Registered User #391410



(http://linuxcounter.net/)

Última edición por soyasi; 08-mar-2017 a las 12:00
Responder Citando
Respuesta

Marcadores


(0 miembros y 1 visitantes)
 
Herramientas
Desplegado

Normas de Publicación
No puedes crear nuevos temas
No puedes responder mensajes
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
No puedo arrancar el pc en modo gráfico danicat General OpenSUSE 37 21-dic-2015 07:27
Yast abre pero no funciona enae General OpenSUSE 15 23-feb-2015 15:59
Propuesta de traduccion para el foro DiabloRojo El Contubernio 74 01-nov-2011 09:57
Instalar version 8.33.6-x86.x86_64 del driver ATI DiabloRojo FAQs, Manuales y Tutoriales 121 19-ago-2009 09:47
Bienvenido a GNU/Linux (y II) karlggest FAQs, Manuales y Tutoriales 0 09-ene-2008 01:10



Síguenos en Twitter Suscríbete a nuestras noticias Acompáñanos en Facebook


La franja horaria es GMT +2. Ahora son las 05:08.
Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.

Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!

Diseño por:Designed by: vbdesigns.devbdesigns.de 
Contáctenos - ForoSUSE - Archivo - Declaración de Privacidad - Arriba